Issue 121899 - PDF export: enable "hybrid" PDF export even if the PDF import extension is not installed
PDF export: enable "hybrid" PDF export even if the PDF import extension is no...
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: code
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Ariel Constenla-Haile
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-15 10:53 UTC by Ariel Constenla-Haile
Modified: 2013-03-24 13:26 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2013-03-15 10:53:11 UTC
Currently, the option to embed the file being exported into the output PDF is only enabled if the PDF Import extension is installed (extension that, by the way, is no longer being developed at Apache OpenOffice due to license conflicts).

http://svn.apache.org/viewvc/openoffice/trunk/main/filter/source/pdf/impdialog.cxx?revision=1413471&view=markup#l579

This option should be enabled regardless of the extension being installed or not, as it might be useful by itself.
Comment 1 brinzing 2013-03-18 05:47:25 UTC
.
Comment 2 SVN Robot 2013-03-24 13:20:41 UTC
"arielch" committed SVN 0 into trunk:
i121899 - Enable "hybrid" PDF export by default
Comment 3 Ariel Constenla-Haile 2013-03-24 13:26:57 UTC
Fixed on trunk